Subject: [magma] Issue:SSM snooping implementation in switch

From: Ramrao Deshpande <[email-masked]>
Date: Mon, 2 Apr 2007 15:05:54 +0530

Hi All,

Here i have some issue in implementing ssm-snooping in  the switch

                                                 Upstream Router
                                                           |
                                                           |
                                                  ----------------
                                                |  switch        | 
Snooping Enabled for IGMPV3
                                                |                      |
                                                 ------------------
                                                          |  
 ------------------------------------------------
                                 |      |
                                 |      |
                          ----------- -----------
                         |    H1    |                                  |  
H2    |
                         ------------ -----------

In above diagram if Host H1/H2 sends following request to upstream router

H1 --------> (S,G,F)   (135.0.0.1,232.0.0.1,INCLUDE)

H2--------->(S,G,F)   (135.0.0.1,232.0.0.1,EXCLUDE)

In this scenario how the switch and router should maintain snooping and 
membership information.

Thanks,

Regards,

Ramrao G Deshpande

***********************  Aricent-Unclassified   ***********************
"DISCLAIMER: This message is proprietary to Aricent and is intended solely for the use of 
the individual to whom it is addressed. It may contain privileged or confidential information and should not be 
circulated or used for any purpose other than for what it is intended. If you have received this message in error, 
please notify the originator immediately. If you are not the intended recipient, you are notified that you are strictly
prohibited from using, copying, altering, or disclosing the contents of this message. Aricent accepts no responsibility for 
loss or damage arising from the use of the information transmitted by this email including damage from virus."
_______________________________________________
magma mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/magma

---

From: Prashant Jhingran <[email-masked]>
Date: Mon, 02 Apr 2007 15:38:06 +0530

Refer RFC 3376: Section 6.4.

Old State       Report Rcvd        New State

INCLUDE (A)       IS_EX (B) ==> EXCLUDE (A*B,B-A)

and also

INCLUDE (A)       TO_EX (B)  ==>EXCLUDE (A*B,B-A) 

Note: Replace, "B" with "A" and you'll get the solution!

Regards,
Prashant Jhingran

Huawei Technologies
+91-80-41117676 Ext -5129
Mobile:+91-9448927814

============================================
"Sing, dance, serve, meditate and celebrate"
- Sri Sri Ravi Shankar      www.artofliving.org 
============================================

This e-mail and attachments contain confidential information
from HUAWEI, which is intended only for the person or entity
whose address is listed above. Any use of the information
contained herein in any way (including, but not limited to,
total or partial disclosure, reproduction, or dissemination)
by persons other than the intended recipient's) is
prohibited. If you receive this e-mail in error, please
notify the sender by phone or email immediately and delete
it!
=========

  _____  

From: Ramrao Deshpande [mailto:[email-masked]]

Sent: Monday, April 02, 2007 3:06 PM
To: [email-masked]
Subject: [magma] Issue:SSM snooping implementation in switch

Hi All, 

Here i have some issue in implementing ssm-snooping in  the
switch 

                                                 Upstream
Router 
                                                           |

                                                           |

---------------- 
                                                |  switch
|        Snooping Enabled for IGMPV3 
                                                |
| 
 
------------------ 
                                                          |

                          -----------
----------- 
                         |    H1    |
|    H2    | 
                         ------------
----------- 

In above diagram if Host H1/H2 sends following request to
upstream router 

In this scenario how the switch and router should maintain
snooping and membership information. 

Thanks, 

Regards, 

Ramrao G Deshpande

***********************  Aricent-Unclassified
*********************** 

"DISCLAIMER: This message is proprietary to Aricent and is
intended solely for the use of 

the individual to whom it is addressed. It may contain
privileged or confidential information and should not be 

circulated or used for any purpose other than for what it is
intended. If you have received this message in error, 

please notify the originator immediately. If you are not the
intended recipient, you are notified that you are strictly

prohibited from using, copying, altering, or disclosing the
contents of this message. Aricent accepts no responsibility
for 

loss or damage arising from the use of the information
transmitted by this email including damage from virus."
_______________________________________________
magma mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/magma